For the complete documentation index, see llms.txt. This page is also available as Markdown.

Change order

Atualizar ordenação de Widgets

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
newOrderIdstringObrigatório

ID do novo pedido

widgetIdstringObrigatório

ID do widget

Corpo
orderinteger · int32Opcional
Respostas
200

Widgets updated

application/json
idstringOpcional
titlestringOpcional
typestring · enumOpcionalValores possíveis:
activebooleanOpcional
banner_idstringOpcional
orderinteger · int32Opcional
product_order_typestring · enumOpcionalValores possíveis:
product_typestring · enumOpcionalValores possíveis:
listing_rule_idstringOpcional
put/new-orders/{newOrderId}/widgets/{widgetId}/change-order
PUT /api/b2b/new-orders/{newOrderId}/widgets/{widgetId}/change-order HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 11

{
  "order": 1
}
{
  "id": "text",
  "title": "text",
  "type": "BANNER",
  "active": true,
  "banner_id": "text",
  "order": 1,
  "product_order_type": "BEST_SELLERS",
  "product_type": "SUGGESTED_PRODUCT",
  "listing_rule_id": "text"
}